## syncthing 1.18.6~ds1

=== debian/changelog ===
syncthing (1.18.6~ds1-2) unstable; urgency=medium

  * Team Upload.
  * Temporarily add versioned depends for go 1.19 transition
  * Add patch to make syncthing work with new quic-go

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 08:29:09 +0530

syncthing (1.18.6~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.6~ds1.
  * Rebase all patches onto this release.  The only two conflicts were
    related to upstream moving from ioutil.Discard to io.Discard, which
    only affects skip-failing-test.patch.
  * Add new dependency golang-google-protobuf-dev, which provides
    google.golang.org/protobuf/types/known/timestamppb.
  * Add new dependency golang-github-marten-seemann-qtls-go1-18-dev;
    golang-github-lucas-clemente-quic-go needs this package to function with
    Go 1.18.  Thanks to Nilesh Patra for packaging it!

 -- Nicholas D Steeves <sten@debian.org>  Fri, 01 Apr 2022 18:30:55 -0400
