## syncthing 1.19.2~ds1

=== debian/changelog ===
syncthing (1.19.2~ds1-3) unstable; urgency=medium

  * Team upload
  * Build with noquic tag. (Closes: #1049983)
    This disables QUIC feature in syncthing as it doesn't
    support Go1.21 yet.
    See https://github.com/syncthing/syncthing/issues/9034

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 18 Aug 2023 05:52:04 +0800

syncthing (1.19.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Bump golang-github-lucas-clemente-quic-go-dev to 0.37.4

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 16 Aug 2023 17:24:19 +0800

syncthing (1.19.2~ds1-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release 1.19.2~ds1.
  * Rebase quilt series onto this release.
  * Update two upstream copyright statements.
  * Bump golang-github-shirou-gopsutil-dev to 3.21.12
  * Bump golang-github-greatroar-blobloom-dev to 0.7.0
  * Bump golang-github-thejerf-suture-dev to 4.0.1
  * Upgrade golang-any 2:1.16~
  * Add golang-github-alecthomas-kong-dev >=0.2.17

  [ Shengjing Zhu ]
  * Update dependencies
    + Add golang-github-julienschmidt-httprouter-dev
    + Add golang-github-pkg-errors-dev
    + Remove golang-github-marten-seemann-qtls-go1-18-dev
    + Remove golang-siphash-dev
    - Remove golang-github-getsentry-raven-go-dev
    - Remove golang-github-oschwald-geoip2-golang-dev
  * Change devel package to golang section
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Fix uscan watch file
  * Add patch to build with golang-github-pierrec-lz4 2.5.2

  [ Nilesh Patra ]
  * Add patch to build with golang-github-lucas-clemente-quic-go 0.29

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Jan 2023 18:13:13 +0800
