## syncthing 1.27.2~ds4

=== debian/changelog ===
syncthing (1.27.2~ds4-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 14:55:34 +1000

syncthing (1.27.2~ds4-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:50:53 +1000

syncthing (1.27.2~ds4-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:42:51 +0530

syncthing (1.27.2~ds4-1) unstable; urgency=medium

  * New upstream version 1.27.2~ds3 (Closes: #1042364)
  * rebase patches
  * update rules: do not attempt to copy a testdata dirs deleted upstream
  * update B-D
    - replace golang-github-lucas-clemente-quic-go-dev by
      golang-github-quic-go-quic-go-dev in B-D
    - remove golang-github-audriusbutkevicius-pfilter-dev,
      golang-github-golang-groupcache-dev,
      golang-github-hashicorp-golang-lru-dev,
      golang-github-lucas-clemente-quic-go-dev,
      golang-github-sasha-s-go-deadlock-dev
    - add golang-github-hashicorp-golang-lru-v2-dev,
      golang-github-calmh-incontainer-dev, golang-golang-x-exp-dev
  * add patch for compatibility with golang-github-go-quic-go-quic 0.37.4
  * add patch to skip failing test
  * reenable QUIC (Closes: #1050603)
  * copy .pem file used during build
  * add xdg-utils to Recommends: (Closes: #1055310)
  * adjust path in copyright Files-Excluded
  * remove excluded pattern from copyright (no matched file)
  * partially revert 2bdd07387a (fork-awesome)
  * fix syntax of source/lintian-overrides; remove obsolete overrides

 -- Félix Sipma <felix@debian.org>  Sat, 06 Jan 2024 15:38:16 +0100
