=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: syncthing
 Section: utils
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Aloïs Micard <creekorful@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -11,8 +12,8 @@
 # Go libs
                genxdr,
                golang-github-alecthomas-kong-dev (>=0.2.17),
-               golang-github-audriusbutkevicius-pfilter-dev,
                golang-github-audriusbutkevicius-recli-dev,
+               golang-github-calmh-incontainer-dev,
                golang-github-calmh-xdr-dev,
                golang-github-ccding-go-stun-dev (>= 0.1.2),
                golang-github-chmduquesne-rollinghash-dev (>= 4.0.0),
@@ -20,23 +21,21 @@
                golang-github-go-ldap-ldap-dev (>=3.2.3),
                golang-github-gobwas-glob-dev (>= 0.2.1),
                golang-github-gogo-protobuf-dev (>=1.2.1+git20190611.dadb6258),
-               golang-github-golang-groupcache-dev,
                golang-github-google-shlex-dev,
                golang-github-greatroar-blobloom-dev (>=0.7.0),
-               golang-github-hashicorp-golang-lru-dev,
+               golang-github-hashicorp-golang-lru-v2-dev,
                golang-github-jackpal-gateway-dev,
                golang-github-jackpal-go-nat-pmp-dev,
                golang-github-julienschmidt-httprouter-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-lib-pq-dev,
-               golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
                golang-github-minio-sha256-simd-dev,
                golang-github-miscreant-miscreant.go-dev,
                golang-github-pierrec-lz4-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>=0.9.0),
+               golang-github-quic-go-quic-go-dev (>= 0.38.2),
                golang-github-rcrowley-go-metrics-dev,
-               golang-github-sasha-s-go-deadlock-dev,
                golang-github-shirou-gopsutil-dev (>=3.21.12),
                golang-github-syncthing-notify-dev,
                golang-github-syndtr-goleveldb-dev,
@@ -44,6 +43,7 @@
                golang-github-urfave-cli-dev,
                golang-github-vitrun-qart-dev,
                golang-golang-x-crypto-dev,
+               golang-golang-x-exp-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
@@ -82,7 +82,7 @@
          golang-github-julienschmidt-httprouter-dev,
          golang-github-kballard-go-shellquote-dev,
          golang-github-lib-pq-dev,
-         golang-github-lucas-clemente-quic-go-dev (>= 0.37.4),
+         golang-github-quic-go-quic-go-dev (>= 0.38.2),
          golang-github-minio-sha256-simd-dev,
          golang-github-miscreant-miscreant.go-dev,
          golang-github-pierrec-lz4-dev,
@@ -115,6 +115,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+Recommends: xdg-utils
 Built-Using: ${misc:Built-Using}
 Description: decentralized file synchronization
  Syncthing is an application that lets you synchronize your files across
