=== debian/watch ===
version=4
opts="\
dversionmangle=auto,\
uversionmangle=s/.*\/v([\d\.]+)(-beta[\.\d]+)?\.tar\.gz/$1$2/;s/-beta/~beta/;s/-rc/~rc/,\
downloadurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@\.tar\.gz/releases\/download\/v$1\/syncthing-source-v$1.tar.gz/,\
pgpsigurlmangle=s/$/.asc/,\
repacksuffix=~ds1" \
  https://github.com/syncthing/syncthing/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
