## syncthing 1.27.7~ds1

=== debian/changelog ===
syncthing (1.27.7~ds1-5) unstable; urgency=medium

  * Team upload.
  * Run test suite in short mode on i386.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 04 Oct 2024 22:29:59 +0200

syncthing (1.27.7~ds1-4) unstable; urgency=medium

  * Team upload.
  * Remove TMP variable and use CURDIR instead in debian/rules.
  * Remove unused DEBIAN_DIR variable from debian/rules.
  * Place the GOCACHE inside _build to get it cleaned automatically.
    (Closes: #1046210)
  * Pass -p to all mkdir calls in debian/rules.
  * Pass -f to rm calls.
  * Simplify test skipping logic in debian/rules.
  * Remove outdated README.Debian.
  * Use '' instead of unbalanced `' quotes in maintscript error messages.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 04 Oct 2024 01:40:42 +0200

syncthing (1.27.7~ds1-3) unstable; urgency=medium

  * Team upload.
  * Wrap and sort -ast.
  * Wrap and sort make variable multi values one per line.
  * Simplify debian/copyright file.
  * Fix indentation in maintainer scripts.
  * Fix indentation for the debian/watch file.
  * Remove duplicate Last-Update fields from patches.
  * Use execute_after_ instead of override_ and calling the dh command.
  * Use dh-sequence-golang instead of dh-goland and --with=golang.
  * Use Static-Built-Using field instead of Built-Using.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Update gbp configuration following Go Team new workflow.
  * Do not hardcode gopsutil v3.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 03 Oct 2024 01:51:32 +0200

syncthing (1.27.7~ds1-2) unstable; urgency=medium

  * Team upload.
  * Make d/rules:ST_DEB_VERSION more robust, and fix bug with trailing
    numeral that inflated the patch version.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 19 Aug 2024 15:03:03 -0400

syncthing (1.27.7~ds1-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release 1.27.7~ds1.
  * Update B-Ds:
    + golang-github-willabides-kongplete-dev
    + golang-golang-x-tools-dev
    + golang-uber-automaxprocs-dev
    - golang-github-hashicorp-golang-lru-dev
    + golang-github-hashicorp-golang-lru-v2-dev
    - golang-github-sasha-s-go-deadlock-dev (cruft from 1.27.2~ds4-1)
  * Switch to what upstream calls "a clean release build" by using only
    numerals and periods in Syncthing's version.  This disables some extra
    debugging, the deadlock detector, "auto upgrade" as well as usage
    reporting (Closes: #1061296).
  * Activate dh-sequence-movetousr to support the /usr-move (DEP17) effort.
    This solution moves syncthing-resume.service and syncthing@.service to
    /usr while continuing to facilitate bookworm backports
    (Closes: #1073651).

  [ Shengjing Zhu ]
  * Bump golang-github-quic-go-quic-go-dev to 0.46.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2024 22:29:47 +0800
