=== debian/control ===
Source: syncthing
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Alexandre Viau <aviau@debian.org>,
 Aloïs Micard <creekorful@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-golang,
 dh-sequence-movetousr,
 golang-any (>= 2:1.16~),
# Go libs
 genxdr,
 golang-github-alecthomas-kong-dev (>=0.2.17),
 golang-github-audriusbutkevicius-recli-dev,
 golang-github-calmh-incontainer-dev,
 golang-github-calmh-xdr-dev,
 golang-github-ccding-go-stun-dev (>= 0.1.2),
 golang-github-chmduquesne-rollinghash-dev (>= 4.0.0),
 golang-github-d4l3k-messagediff-dev,
 golang-github-go-ldap-ldap-dev (>=3.2.3),
 golang-github-gobwas-glob-dev (>= 0.2.1),
 golang-github-gogo-protobuf-dev (>=1.2.1+git20190611.dadb6258),
 golang-github-google-shlex-dev,
 golang-github-greatroar-blobloom-dev (>=0.7.0),
 golang-github-hashicorp-golang-lru-v2-dev,
 golang-github-jackpal-gateway-dev,
 golang-github-jackpal-go-nat-pmp-dev,
 golang-github-julienschmidt-httprouter-dev,
 golang-github-kballard-go-shellquote-dev,
 golang-github-lib-pq-dev,
 golang-github-minio-sha256-simd-dev,
 golang-github-miscreant-miscreant.go-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev (>=0.9.0),
 golang-github-quic-go-quic-go-dev (>= 0.46.0),
 golang-github-rcrowley-go-metrics-dev,
 golang-github-shirou-gopsutil-dev (>=3.21.12),
 golang-github-syncthing-notify-dev,
 golang-github-syndtr-goleveldb-dev,
 golang-github-thejerf-suture-dev (>=4.0.1),
 golang-github-urfave-cli-dev,
 golang-github-vitrun-qart-dev,
 golang-github-willabides-kongplete-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-google-protobuf-dev,
 golang-uber-automaxprocs-dev,
# Web things
 fonts-fork-awesome (>=1.1.5+ds1-2),
 libjs-bootstrap,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Homepage: https://www.syncthing.net/
Vcs-Browser: https://salsa.debian.org/go-team/packages/syncthing
Vcs-Git: https://salsa.debian.org/go-team/packages/syncthing.git
XS-Go-Import-Path: github.com/syncthing/syncthing

Package: golang-github-syncthing-syncthing-dev
Architecture: all
Section: golang
Depends:
 ${misc:Depends},
 golang-github-alecthomas-kong-dev (>=0.2.17),
 golang-github-audriusbutkevicius-pfilter-dev,
 golang-github-audriusbutkevicius-recli-dev,
 golang-github-calmh-xdr-dev,
 golang-github-ccding-go-stun-dev (>= 0.1.2),
 golang-github-chmduquesne-rollinghash-dev (>= 4.0.0),
 golang-github-go-ldap-ldap-dev (>=3.2.3),
 golang-github-gobwas-glob-dev (>= 0.2.1),
 golang-github-gogo-protobuf-dev (>=1.2.1+git20190611.dadb6258),
 golang-github-golang-groupcache-dev,
 golang-github-google-shlex-dev,
 golang-github-greatroar-blobloom-dev (>=0.7.0),
 golang-github-hashicorp-golang-lru-v2-dev,
 golang-github-jackpal-gateway-dev,
 golang-github-jackpal-go-nat-pmp-dev,
 golang-github-julienschmidt-httprouter-dev,
 golang-github-kballard-go-shellquote-dev,
 golang-github-lib-pq-dev,
 golang-github-minio-sha256-simd-dev,
 golang-github-miscreant-miscreant.go-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev (>=0.9.0),
 golang-github-quic-go-quic-go-dev (>= 0.38.2),
 golang-github-rcrowley-go-metrics-dev,
 golang-github-shirou-gopsutil-dev (>=3.21.12),
 golang-github-syncthing-notify-dev,
 golang-github-syndtr-goleveldb-dev,
 golang-github-thejerf-suture-dev (>=4.0.1),
 golang-github-urfave-cli-dev,
 golang-github-vitrun-qart-dev,
 golang-github-willabides-kongplete-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-google-protobuf-dev,
 golang-uber-automaxprocs-dev,
Description: decentralized file synchronization - dev package
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This is the dev package.

Package: syncthing
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 xdg-utils,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This package contains the main binary: syncthing.

Package: syncthing-relaysrv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization - relay server
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 Syncthing relies on a network of community-contributed relay servers. Anyone
 can run a relay server, and it will automatically join the relay pool and be
 available to Syncthing users.
 .
 This package contains the relay server binary: strelaysrv.

Package: syncthing-discosrv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization - discovery server
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 Syncthing relies on a discovery server to find peers on the internet. Anyone
 can run a discovery server and point its syncthing installations to it.
 .
 This package contains the discovery server binary: stdiscosrv.
